GET /files/{file_id}/versions/

osf.io

Summary: List all file versions
Operation ID: files_versions
Auth: unknown
Description

A paginated list of all file versions. #### Returns Returns a JSON object containing `data` and `links` keys. The `data` key contains an array of 10 file versions. Each resource in the array is a separate file version object. The `links` key contains a dictionary of links that can be used for [pagination](#tag/Pagination). If the request is unsuccessful, an `errors` key containing information about the failure will be returned. Refer to the [list of error codes](#tag/Errors-and-Error-Codes) to understand why this request may have failed.

Parameters (1)

file_id (string, path, required)

The unique identifier of the file from which you want to retrieve versions.

No probe data for this endpoint yet.